Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 75193 - net-analyzer/isic - libnet problem && version bump
Summary: net-analyzer/isic - libnet problem && version bump
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Netmon Herd
URL: http://www.packetfactory.net/projects...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-21 08:56 UTC by Marcelo Goes (RETIRED)
Modified: 2005-01-08 14:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcelo Goes (RETIRED) gentoo-dev 2004-12-21 08:56:22 UTC
isic has this for RDEPEND:

RDEPEND="<net-libs/libnet-1.1
        >=net-libs/libnet-1.0.2a-r3"

I know what this means, but I don't think Portage does:

[ebuild  N    ] net-libs/libnet-1.1.2.1  0 kB
[ebuild  N    ] net-libs/libnet-1.0.2a-r3  0 kB
[ebuild  N    ] net-analyzer/isic-0.06  0 kB

I got the new version 0.06 to emerge after removing the patch from src_unpack(). I believe the patch depends, however, on the version of libnet that is installed.
Comment 1 Daniel Black (RETIRED) gentoo-dev 2005-01-08 02:04:07 UTC
0.06 added - please test an report back. If 0.06 works I'll remove the previous version and push the patch upstream.
Comment 2 Marcelo Goes (RETIRED) gentoo-dev 2005-01-08 06:26:03 UTC
Tested it, it seems to work.
Comment 3 Daniel Black (RETIRED) gentoo-dev 2005-01-08 14:33:41 UTC
thankyou. Old versions removed and 0.06 stable. Thanks for the prompt feedback.